Bug 7115 - namespace conflict with gle - Graphics Layout Engine.
: namespace conflict with gle - Graphics Layout Engine.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libgle)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-06-16 17:52 by
Modified: 2005-08-29 12:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-16 17:52:12
По рассылке.
On Wed, Jun 15, 2005 at 03:56:57PM +0300, Igor Vlasenko wrote:
> вопрос: собрал редкий пакет gle (язык картинок, нужен был).
> Однако его прямо выложить нельзя из-за конфликта имен с пакетом
> gle/libgle.  Придумал выложить как GLE.  Это нормально?

Относительно.

> И как в таких случаях выбирать имя?

В данном может быть осмысленно попросить raorn@ переименовать
свой пакет в libgle _без_ Provides:/Obsoletes:, учинив (скажем)
недельный опрос пользователей в sisyphus@.

> Бинарного пакета gle не бывает.  Мне переименовывать очень сильно
> лень (sandman, cvs), но если надо - я постараюсь преодолеть себя.

Тогда можно так: я вешаю FR,
а Вы либо переименовываете и разрешаете FR в FIXED
- и я выкладываю gle
либо обламываетесь и разрешаете его в UNFIXABLE
- и я выкладываю GLE.

-- 

Dr. Igor Vlasenko
--------------------
Topology Departament
Institute of Math
Kiev, Ukraine
------- Comment #1 From 2005-06-16 18:22:48 -------
building file list ... 
2 files to consider
./
libgle-3.1.0-alt4.src.rpm
      811188 100%   59.93kB/s    0:00:12  (1, 100.0% of 2)

Number of files: 2
Number of files transferred: 1

Ждите в Sisyphus.